=== examples/bronzeage/Makefile ===
all: magnet

magnet:
	gf -make -name=BronzeageAra BronzeageAra.gf 
	gf -make -name=BronzeageBul BronzeageBul.gf 
	gf -make -name=BronzeageCat BronzeageCat.gf 
	gf -make -name=BronzeageDan BronzeageDan.gf 
	gf -make -name=BronzeageEng BronzeageEng.gf 
	gf -make -name=BronzeageFre BronzeageFre.gf 
	gf -make -name=BronzeageGer BronzeageGer.gf 
	gf -make -name=BronzeageIta BronzeageIta.gf 
	gf -make -name=BronzeageNor BronzeageNor.gf 
	gf -make -name=BronzeagePol BronzeagePol.gf 
#	gf -make -name=BronzeageRon BronzeageRon.gf 
	gf -make -name=BronzeageRus BronzeageRus.gf 
	gf -make -name=BronzeageSpa BronzeageSpa.gf 
	gf -make -name=BronzeageSwe BronzeageSwe.gf
	gf -make BronzeageAra.pgf BronzeageBul.pgf BronzeageCat.pgf BronzeageDan.pgf BronzeageEng.pgf BronzeageFre.pgf BronzeageGer.pgf BronzeageIta.pgf BronzeageNor.pgf BronzeagePol.pgf BronzeageRus.pgf BronzeageSpa.pgf BronzeageSwe.pgf +RTS -K100M
