=== examples/peacekeeping/Makefile ===
peace.pgf: 
	gfc --make english/Peace_Eng.gf swedish/Peace_Swe.gf
