=== examples/tutorial/embedded/Makefile ===
all:
	gfc --make --output-format=haskell QueryEng.gf
	ghc --make -o ./math TransferLoop.hs
	strip math
